FALmonsta's Multicam Bundle SHITTYFIX to 3.8.x 1.0.1

Please do not ask when mod authors will update their mods to 3.9.0
Bothering mod authors will lead to warnings and repeat offenses will lead to eventual bans.

an incredibly quick and dirty port of 3 of FALmonsta's multicam retextures to 3.8.x. Does not include Multicam Arid Made with permission, will likely not be maintained

Made with FALmonsta's permission. Ask them about the original mods.

This is an incredibly shitty fix of FALmonsta's Multicam, Multicam Tropic and Multicam Black gear and clothing bundles to 3.8.x. The only actual changes were to make it rely instead on AshleyShcaeffer's BMWCore mod (a remake of the JustNU's Core mod of which the original Multicam mods had as a dependency.



PREREQUISITES

  • AshleyShcaeffer's BMWCore mod
  • The original Multicam mods (MC, MCT, MCB, you can include or leave out whatever)
  • Files included in these downloads.


INSTALLATION

  1. Download and install AshleyShcaeffer's BMWCore mod
  2. Download and install your desired OG Multicam mods
  3. Download the files provided by this mod
  4. Replace FALmonsta's original /src/mod.js and package.json with the mod.js and package.json included in this mod.
  5. Install as normal


ISSUES

  • some helmet and armored vest+rig reskins spawn in trader's inventories with no built-in kevlar protection. idk whats up with that, but the Flea market variants are normal
    • helmets are totally fucked and operational ones (damaged but armored) aren't even present on the flea
    • this might be an issue with BMWCore, but idk (i am new to this)
  • I disabled the code that adds the retextured gear (armored rigs, armored vests) to quests that restrict them. You may erroneously be able to complete quests that disallow wearing armored vests or rigs with the new retextured vests and rigs
    • for nerds, this is probably to do with the updated quest syntax between 3.6.x and 3.8.x. It's a bit confusing, because when I looked at similar mods made for 3.8.x, they use the exact same syntax listed in the mod. Those ones don't crash, but this still does. I don't care enough to fix it or to update it.


This mod will most likely not be maintained.

  • I can't sell any of the items to traders after going from 3.8.0 to 3.8.3

  • this is work for realism?

    • i wouldn't know, but i'm not sure it'd matter given how broken it is in the first place

  • HI is just for say your mod make conflit with ak expansion kiss

  • Just to make sure I understood your other comment correct, the new armored items purchased from Peacekeeper won't have any armor on them and there's currently not a fix for this, is that correct? Flea market ones work though.

    • Yes, you understand it correctly.


      I have just discovered that the helmets though are totally broken and cannot even be found on the Flea with armor.

  • Updated folder for Multicam is named "zz-MultiCamBundle". The Original folder is "zz-MultiCam Bundle" (there is a space). With these not matching up, if you just paste the folder in expecting it to replace items, this wont do that and youll get an error for having two of these trying to run. JIC anyone else runs into that issue

  • When I do the install and fix, it says

    "Mod FALmonsta-MultiCam Black Bundle is not compatible with the current version of AKI. You may encounter issues - no support will be provided!

    Mod FALmonsta-MultiCam Bundle is not compatible with the current version of AKI. You may encounter issues - no support will be provided!

    Mod FALmonsta-MultiCam Tropic Bundle is not compatible with the current version of AKI. You may encounter issues - no support will be provided!

    Errors were found with mods, NO MODS WILL BE LOADED"

    Did I do something wrong?

    • That's strange, that error message doesn't show up on my server. What SPT version are you running?


      You probably didn't do anything wrong. I didn't update the version of SPT the mod declares itself to be for, as I didn't get any error messages like that when I was testing.

      Did the server give you the "Server is running" message at the end? It should work just fine (aside from the issues already listed in the post and stated by other commenters)

    • I didn't try to actually load into a save game as the launcher showed 0 mods loaded after the server started running, Ill try that real quick and let you know.


      Edit: After attempting to make a new profile to test, no mods loaded as the editions I had modded in (trap's progressive stash) didn't show up at all.

    • i'll update and upload the package.json files tomorrow and have them declare 3.8.* instead (along with the one for Multicam Arid)


      for now, you can do the same thing by changing the package.json files of each mod and changing

      Code
      "akiVersion": "3.5.*",

      to

      Code
      "akiVersion": "3.8.*",
    • That fixed it lmao, thank you for your help!!!

  • If you don't mind but could you fix the arid multicam in the future too? thank you <3

  • Helmets seem to not have armor :/

    • are you spawning them in with Commando?

    • it's a problem i'm not familiar how to solve. reading the comments of other bmwcore mods makes me think it might be an issue with how BMWCore does things, but I can't be sure because I don't know how to mod this game


      in the meantime, you will have to buy reskinned gear from the flea market. Sorry

    • the flea market works for the armor vests but not the helmets - all the helmets are red on the flea market as well (no top/nape/ect)

  • ❤️❤️❤️